热门标签

[讨论] 关于在Rhino中实体编辑的几个问题求解

[复制链接]
查看: 632|回复: 5

1

主题

6

帖子

37

积分

新手上路

Rank: 1

积分
37
发表于 2018-9-1 20:05:07 | 显示全部楼层 |阅读模式
关于在Rhino中实体编辑我有如下几个问题:
问题1.我想从1拉伸到3,直接使用挤出曲面的命令结果是2这种情况,中间那条多余的边界线要再使用MergeAllFaces消除,我知道可以moveface(这样操作不够快捷)或者Ctrl+shift选择面再移动操作轴(这个操作对于复杂的实体有时候会出现小问题,下个问题阐述),我想请问有么有办法可以直接挤出从1到3的效果,而不保留原始边界线(类似于su那种操作)。 1.jpg                                                                         
问题2.在上诉说到的关于操作复杂点的多重曲面时,直接使用挤出曲面的命令中间那条多余的边界线使用MergeAllFaces消除不了,(带弧度的曲面好像都消除不了共面线)Ctrl+shift选择面再移动操作轴进行伸长或者缩短又会出现“跑偏的情况”,这种情况是怎么回事呢?

问题2图片

问题2图片
2.jpg

问题3.如图所示,我想在这个型材中间开个缺口,一般我选择用WireCut线切割进行操作,或者画个矩形做差集,过程中发现如果矩形的下表面与型材表面钢好贴合时差集运算会失败,线切割也一样,,这个时候把红色方块向上移动0.1毫米就可以,我测试了一下,造成这种情况有两个原因(第一个是因为R角的原因,如果没有R角是可以的,第二个原因是因为这个实体是直接拉伸轮廓线得到的,如果先根据轮廓线PlanarSrf建面再拉伸也不会出现这种情况,先建面再拉伸出来的实体会有明显的轮廓分界线,而直接拉伸轮廓线出来的实体没有明显的轮廓分界线,图1是直接拉伸曲线的,图2是先建面再拉伸的,效果还是很明显,所以经常直接拉伸轮廓线。                                                            
4.jpg

问题3图片

问题3图片

问题3图片

问题3图片


问题4.如图所示,在对实体进行拉伸“减”操作的时候实体没有变短,而是生成了新的实体,此时Ctrl+shift选择面再移动操作轴就比较实用了,这种情况又是啥原因呢?

问题4图片

问题4图片


问题5.如图所示,图1是原始实体,图2是我Ctrl+shift选择面再移动操作轴变短后实体,图三是我对实体就行了Trim修剪再cap后实体,明显看出图三由一开始比较光滑的表面变成了轮廓分明的表面效果,这是啥情况呢?

问题5图片

问题5图片


问题6.实体开洞后使用DeleteHole将洞删除命令后出现实体被压平的情况,不知道啥原因。

问题6图片

问题6图片


https://pan.baidu.com/s/1rzgIJ8FLTiK2ByEvqW2npA(相关模型网盘链接)@Jessesn















回复

使用道具 举报

141

主题

381

帖子

1765

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
1765
发表于 2018-9-1 23:17:02 | 显示全部楼层
问题1.我想从1拉伸到3,直接使用挤出曲面的命令结果是2这种情况,中间那条多余的边界线要再使用MergeAllFaces消除,我知道可以moveface(这样操作不够快捷)或者Ctrl+shift选择面再移动操作轴(这个操作对于复杂的实体有时候会出现小问题,下个问题详细阐述),我想请问有么有办法可以直接挤出从1到3的效果,而不保留原始边界线(类似于su那种操作)。


看不到你的 1 与 3 是什么情况,麻烦抓图告知

问题2.在上诉说到的关于操作复杂点的多重曲面时,直接使用挤出曲面的命令中间那条多余的边界线使用MergeAllFaces消除不了,Ctrl+shift选择面再移动操作轴进行伸长或者缩短又会出现“跑偏的情况”,这种情况是怎么回事呢?

MergeAllFace 只能针对多重曲面内共平面的曲面,你先要检查这些是否共平面


问题3.如图所示,我想在这个型材中间开个缺口,一般我选择用WireCut线切割进行操作,或者画个矩形做差集,过程中发现如果矩形的下表面与型材表面钢好贴合时差集运算会失败,线切割也一样,,这个时候把红色方块向上移动0.1毫米就可以,我测试了一下,造成这种情况有两个原因(第一个是因为R角的原因,如果没有R角是可以的,第二个原因是因为这个实体是直接拉伸轮廓线得到的,如果先根据轮廓线PlanarSrf建面再拉伸也不会出现这种情况,先建面再拉伸出来的实体会有明显的轮廓分界线,而直接拉伸轮廓线出来的实体没有明显的轮廓分界线,图1是直接拉伸曲线的,图2是先建面再拉伸的,效果还是很明显,所以经常直接拉伸轮廓线.

请告知你的 Rhino 的具体版本号是多少?另外你的贴图太小,完全看不清楚具体的情况

题5.如图所示,图1是原始实体,图2是我Ctrl+shift选择面再移动操作轴变短后实体,图三是我对实体就行了Trim修剪再cap后实体,明显看出图三由一开始比较光滑的表面变成了轮廓分明的表面效果,这是啥情况呢?问题6.实体开洞后使用DeleteHole将洞删除命令后出现实体被压平的情况,不知道啥原因。

同样图片看不清楚,请上传图片稍稍大一些,排版整齐一些,不然根本没办法看清楚你的问题 ,如果模型太多请使用百度盘分享地址
回复

使用道具 举报

1

主题

6

帖子

37

积分

新手上路

Rank: 1

积分
37
 楼主| 发表于 2018-9-2 10:16:18 | 显示全部楼层
Jessesn 发表于 2018-9-1 23:17
看不到你的 1 与 3 是什么情况,麻烦抓图告知

帖子重新整理了一下,犀牛是Rhino5.0  SR12版本的
回复

使用道具 举报

11

主题

118

帖子

646

积分

超级版主

Rank: 8Rank: 8

积分
646
发表于 2018-9-9 12:52:56 | 显示全部楼层
关于你的几个问题
1:你可以把下面这段代码复制到“挤出曲面”指令的右键,方便使用,可以一步挤出并合并曲面。
[AppleScript] 纯文本查看 复制代码
! -_RunPythonScript (
#coding=utf-8
import rhinoscriptsyntax as rs

rs.Command("! _ExtrudeSrf _Pause _Solid=_Yes")
rs.Command("_SelLast")
rs.Command("! _MergeAllFaces")
)

1.jpg

2:我查看了你的模型,这个是你的模型问题,我不知道你是如何做的这个钢结构。你这个侧面是一个不可以炸开的曲面,很显然不共面,使用在使用MergeAllFaces命令的时候会失败。
2.jpg

解决办法:
2.1先炸开多重曲面
2.2选择炸开生成的物体,使用_ShrinkTrimmedSrfToEdge指令,缩回修建的曲面。
2.3选择缩回边缘后的曲面,使用ConvertToBeziers指令,再节点处打断曲面。
2.4选择所有曲面,再执行join指令后,使用MergeAllFaces命令就能merge到一起了。效果如下图
3.jpg

Ctrl+shift选择面再移动操作轴进行伸长或者缩短,我这里没有问题,我现在测试的rhino是Rhino6.0SR9


3:问题3我测试非常的完美,没有任何问题,效果如下图
4.jpg 5.jpg

4:问题4我测试也没有问题,很完美

5:问题5并不是不圆滑了,只是你把边缘线显示打开,你前两种如问题2,炸开是一张无法炸开的曲面,而3是多重曲面。如图,模型圆滑度是一模一样的。
8.jpg 6.jpg 7.jpg

6:问题6我测试也没有问题,非常的完美

[db:签名]
回复

使用道具 举报

1

主题

6

帖子

37

积分

新手上路

Rank: 1

积分
37
 楼主| 发表于 2018-9-9 21:51:32 | 显示全部楼层
本帖最后由 a512520a 于 2018-9-9 21:52 编辑
筑梦NARUTO 发表于 2018-9-9 12:52
关于你的几个问题
1:你可以把下面这段代码复制到“挤出曲面”指令的右键,方便使用,可以一步挤出并合并曲 ...

问题2中Ctrl+shift移动面会跑偏的情况是这样的,如果模型二次拉伸过再Ctrl+shift移动面就不会跑偏,直接Ctrl+shift移动面会跑偏。模型我从新上传一下。问题3我也试了一下,确实在5.0(SR12)中存在这个情况,6.0(SR8.0)没有。
问题4也是在6.0中没有5.0中确实存在。
问题5这个我一直都是开启了边缘线显示的,但是那样操作好像原来的挤出物件被变成了轻量化的物件,自动在正切处被分割了一样。
问题6我再6.0SR8中还是存在被压平的情况。


问题2图片.gif
问题2图片a.gif

Ctrl shift拉伸跑偏模型.rar

432.64 KB, 下载次数: 4

回复

使用道具 举报

141

主题

381

帖子

1765

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
1765
发表于 2018-9-10 12:01:27 | 显示全部楼层
a512520a 发表于 2018-9-9 21:51
问题2中Ctrl+shift移动面会跑偏的情况是这样的,如果模型二次拉伸过再Ctrl+shift移动面就不会跑偏,直接Ctr ...
问题2中Ctrl+shift移动面会跑偏的情况是这样的,如果模型二次拉伸过再Ctrl+shift移动面就不会跑偏,直接Ctrl+shift移动面会跑偏


Rhino 5 SR 14 中测试并没有任何问题,请更新至最新的 Rhino 5SR14
https://www.rhino3d.com/download/Rhino/5.0/sr

回复

使用道具 举报

*滑动验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

精彩推荐

Rhino3D(犀牛)中文网

  • 深圳:0755-29642189
  • 上海:021-56496412
  • 成都:028-61592400
  • support@shaper3d.com

关注我们

Copyright   ©2007-2017  Rhino3D(犀牛)中文网  Powered by©Discuz!     ( 粤ICP备12051517号-5